Bug 1022106 - itext: remove versioned jars from %{_javadir}
itext: remove versioned jars from %{_javadir}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: itext (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:44 EDT by Stanislav Ochotnicky
Modified: 2014-03-12 07:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.1.7-25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-12 07:23:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (3.11 KB, patch)
2013-11-07 09:34 EST, Mikolaj Izdebski
no flags Details | Diff

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:44:12 EDT
Package itext seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
itext-toolbox:
/usr/share/java/itext-toolbox-2.1.7.jar
itext-rups:
/usr/share/java/itext-rups-2.1.7.jar
itext-rtf:
/usr/share/java/itext-rtf-2.1.7.jar
itext-core:
/usr/share/java/itext-2.1.7.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 gil cattaneo 2013-10-22 13:40:44 EDT
is still required required by pdftk package?
Comment 2 Mikolaj Izdebski 2013-11-07 09:34:21 EST
Created attachment 821175 [details]
Proposed patch
Comment 3 gil cattaneo 2013-11-07 14:32:19 EST
thanks for the patch, but gcj bit are required by pdftk package,
and i don't know, if removing versioned JARs, after aot-compile-rpm
work properly..
Comment 4 Mikolaj Izdebski 2013-11-08 03:16:49 EST
In currect state itext violates packaging guidelines.
It also breaks maven-doxia, see:
https://lists.fedoraproject.org/pipermail/devel/2013-November/191711.html

GCJ parts can stay, butversioned JARs need to be removed.
Comment 5 Stanislav Ochotnicky 2013-11-22 10:12:13 EST
This should be merged to F20 as well. I will likely do so next week
Comment 6 Mikolaj Izdebski 2014-03-12 07:23:31 EDT
I believe that this bug is fixed in itext-2.1.7-25,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=503897

Note You need to log in before you can comment on or make changes to this bug.